
import matplotlib.pyplot as plt
import numpy as np
import random

def generate_random_plot(x, y):
    """
    This function generates a random plot based on the input arrays x and y.
    It randomly selects a type of plot (line, scatter, bar) and plots it.
    """
    # Randomly select the type of plot
    plot_type = random.choice(['line', 'scatter', 'bar'])
    
    # Generate a figure and axis
    fig, ax = plt.subplots()
    
    # Based on the plot type, plot the data
    if plot_type == 'line':
        ax.plot(x, y)
    elif plot_type == 'scatter':
        ax.scatter(x, y)
    elif plot_type == 'bar':
        ax.bar(x, y)
    
    # Set the title and labels
    ax.set_title('Random Plot')
    ax.set_xlabel('X-axis')
    ax.set_ylabel('Y-axis')
    
    # Show the plot
    plt.show()

# Example usage
x = np.random.rand(10)
y = np.random.rand(10)
generate_random_plot(x, y)



